package cn.hnthyy.thmz.service.his.zd;

import cn.hnthyy.thmz.entity.his.zd.ZdChequeType;

import java.util.List;

public interface ZdChequeTypeService {
    /**
     * 查询所有门诊可用的付款方式
     * @return
     */
    List<ZdChequeType> queryAllZdChequeTypeForMz();

    /**
     * 查询所有住院可用的付款方式
     * @return
     */
    List<ZdChequeType> queryAllZdChequeTypeForZy();

    /**
     * 按照支付方式编码查询支付方式
     * @param code
     * @return
     */
    ZdChequeType queryChequeTypeByCode(String code);
}
